package top.r3944realms.lib39.content.item;

import net.minecraft.client.renderer.BlockEntityWithoutLevelRenderer;
import net.neoforged.neoforge.client.extensions.common.IClientItemExtensions;
import top.r3944realms.lib39.client.renderer.item.DollItemRenderer;
import top.r3944realms.lib39.util.IClientOnly;

/**
 * The type Forge doll item.
 */
public class NeoForgeDollItem extends DollItem {
    /**
     * Instantiates a new Forge doll item.
     *
     * @param properties the properties
     */
    public NeoForgeDollItem(Properties properties) {
        super(properties);
    }

    /**
     * The type Client opt.
     */
    public static class ClientOpt implements IClientOnly {
        /**
         * Gets extensions.
         *
         * @return the extensions
         */
        public static IClientItemExtensions getExtensions() {
            return IClientOnly.check(() -> new IClientItemExtensions() {
                @Override
                public BlockEntityWithoutLevelRenderer getCustomRenderer() {
                    return DollItemRenderer.getInstance();
                }
            });
        }
    }
}

